| FoxitPDFSDKforWeb v11.0.6 Archives Foxit PDF SDK for Web

Public Member Functions | List of all members
TextSearchMatch Class Reference
PDF » search

The match result of text search. More...

## Public Member Functions
| getEndCharIndex ()
| Get the index of the last character of current match pattern, based on current match page. [Support in Server] More...
| getPageIndex ()
| Get the page index, to which current match belongs. [Support in Server] More...
| getRects ()
| Get the rectangles of current match pattern. [Support in Server] More...
| getSentence ()
| Get the sentence that contains current match pattern. [Support in Server] More...
| getSentenceStartIndex ()
| Get the index of the first character of current match pattern, based on the match sentence. [Support in Server] More...
| getStartCharIndex ()
| Get the index of the first character of current match pattern, based on current match page. [Support in Server] More...

## Detailed Description

The match result of text search.

## Member Function Documentation

## ◆ getEndCharIndex()

TextSearchMatch::getEndCharIndex | ( |  | ) |
| inline

Get the index of the last character of current match pattern, based on current match page. [Support in Server]

Returns
  number -

## ◆ getPageIndex()

TextSearchMatch::getPageIndex | ( |  | ) |
| inline

Get the page index, to which current match belongs. [Support in Server]

Returns
  number -

## ◆ getRects()

TextSearchMatch::getRects | ( |  | ) |
| inline

Get the rectangles of current match pattern. [Support in Server]

Returns
  Array<{left:number, right:number, bottom:number, top:number}> -

## ◆ getSentence()

TextSearchMatch::getSentence | ( |  | ) |
| inline

Get the sentence that contains current match pattern. [Support in Server]

Returns
  string -

## ◆ getSentenceStartIndex()

TextSearchMatch::getSentenceStartIndex | ( |  | ) |
| inline

Get the index of the first character of current match pattern, based on the match sentence. [Support in Server]

Returns
  number -

## ◆ getStartCharIndex()

TextSearchMatch::getStartCharIndex | ( |  | ) |
| inline

Get the index of the first character of current match pattern, based on current match page. [Support in Server]

Returns
  number -

@2025 Foxit Software Incorporated. All rights reserved.